> ## Documentation Index
> Fetch the complete documentation index at: https://docs.old.palomma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve payin link



## OpenAPI

````yaml GET /payinLinks/{payinLinkId}
openapi: 3.0.0
info:
  title: Palomma API
  description: This API includes functionality of the Palomma API.
  version: 1.0.0
servers:
  - url: https://api.palomma.com/v0
    description: Production server
  - url: https://sandbox.api.palomma.com/v0
    description: Sandbox server
security:
  - BearerAuth: []
paths:
  /payinLinks/{payinLinkId}:
    get:
      tags:
        - Payin Links
      summary: Retrieve a Payin Link
      operationId: getPayinLinkById
      parameters:
        - name: payinLinkId
          in: path
          required: true
          description: Unique identifier of the payin link.
          schema:
            type: string
      responses:
        '200':
          description: Payin Link retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayinLink'
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '404':
          description: Payin Link not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
components:
  schemas:
    PayinLink:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the Payin Link.
          example: 01HPR5TEDFKT498V8CYY3RPCXP
        reference:
          type: string
          description: >-
            An optional reference provided by the merchant to identify the Payin
            Link.
        description:
          type: string
          description: Description of the Payin Link.
        customerId:
          type: string
          description: The ID of the customer for whom the Payin Link is created.
          example: 01HPR57X6QR5ZRKEEKBSDBW4RA
        customerDetails:
          $ref: '#/components/schemas/CustomerDetails'
        status:
          type: string
          enum:
            - pending
            - processing
            - approved
            - cancelled
          example: approved
          description: The current status of the Payin Link.
        statusMessage:
          $ref: '#/components/schemas/StatusMessage'
        paymentUrl:
          type: string
          description: URL to which the customer can go to complete the payment.
          example: >-
            http://payments.palomma.com/payinLinks?payinLinkId=01HPR5TEDFKT498V8CYY3RPCXP
        redirectUrl:
          type: string
          description: >-
            URL to which the customer will be redirected after the payment
            process.
          example: http://merchant.com/checkout
        amount:
          type: number
          description: The total amount to be paid in COP.
          example: 100000
        amountCollected:
          type: number
          description: The amount that has been collected in COP.
          example: 100000
        fee:
          type: number
          description: Any fee associated with the Payin Link.
          example: 500
        type:
          type: string
          description: The type of Payin Link
          enum:
            - general
            - pse
            - bancolombiaButton
            - nequiButton
            - card
            - bancolombiaCollect
        expiration:
          type: string
          description: >-
            Datetime when link will expire in YYYY-MM-DDTHH:mm:ss format. By
            default, expiration is at the end of the day after the link
            creation. Minimum expiration is the current date and maximum
            expiration is at the end of the 7th day from creation. Links expire
            shortly after the specified datetime has passed.
        targetMerchantAccountId:
          type: string
          description: Account ID of the target merchant account for this Payin Link.
          example: default
        createdAt:
          type: string
          format: date-time
          description: ISO string representing when the Payin Link was created.
        updatedAt:
          type: string
          format: date-time
          description: ISO string representing when the Payin Link was last updated.
    CustomerDetails:
      type: object
      properties:
        reference:
          type: string
          description: >-
            An optional reference provided by the merchant to identify the
            customer.
        name:
          type: string
          description: >-
            First and last name for a natural person, and company name for a
            juridical person.
          example: Pepito Perez
        documentType:
          type: string
          description: Colombian ID type for customer.
          enum:
            - cc
            - ce
            - nit
        documentNumber:
          type: string
          description: Colombian ID number for customer.
          example: '1037551022'
        email:
          type: string
          description: Customer’s email.
          format: email
          example: pepito@gmail.com
        phoneNumber:
          type: string
          description: Customer’s phone number.
          example: '3013111111'
    StatusMessage:
      type: string
      description: >-
        Additional detail on the status. Only present when status is
        "cancelled".
      enum:
        - AUTHENTICATION_FAILED
        - CUSTOMER_CANCELLATION
        - DECLINED_BY_BANK
        - EXPIRED
        - INVALID_ACCOUNT
        - NOT_ENOUGH_FUNDS
        - ERROR
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````